Package org.apache.commons.math3.ml.distance

# Interface DistanceMeasure

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `CanberraDistance`, `ChebyshevDistance`, `EarthMoversDistance`, `EuclideanDistance`, `ManhattanDistance`

public interface DistanceMeasure extends Serializable
Interface for distance measures of n-dimensional vectors.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`double`
`compute(double[] a, double[] b)`
Compute the distance between two n-dimensional vectors.

## Method Details

### compute

double compute(double[] a, double[] b) throws DimensionMismatchException
Compute the distance between two n-dimensional vectors.

The two vectors are required to have the same dimension.

Parameters:
  `a` - the first vector
  `b` - the second vector
Returns:
  the distance between the two vectors
Throws:
  `DimensionMismatchException` - if the array lengths differ.